OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.KHR.Robustness

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetKHRRobustness :: MonadIO m => m Bool
- gl_KHR_robustness :: Bool
- gl_CONTEXT_LOST :: GLenum
- gl_CONTEXT_ROBUST_ACCESS :: GLenum
- gl_GUILTY_CONTEXT_RESET :: GLenum
- gl_INNOCENT_CONTEXT_RESET :: GLenum
- gl_LOSE_CONTEXT_ON_RESET :: GLenum
- gl_NO_ERROR :: GLenum
- gl_NO_RESET_NOTIFICATION :: GLenum
- gl_RESET_NOTIFICATION_STRATEGY :: GLenum
- gl_UNKNOWN_CONTEXT_RESET :: GLenum
- glGetGraphicsResetStatus :: MonadIO m => m GLenum
- glGetnUniformfv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glGetnUniformiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glGetnUniformuiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glReadnPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetKHRRobustness :: MonadIO m => m Bool

Is the KHR_robustness extension supported?

gl_KHR_robustness :: Bool

Is the KHR_robustness extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRRobustness` in those cases instead.

# Enums

gl_CONTEXT_LOST :: GLenum

gl_CONTEXT_ROBUST_ACCESS :: GLenum

gl_GUILTY_CONTEXT_RESET :: GLenum

gl_INNOCENT_CONTEXT_RESET :: GLenum

gl_LOSE_CONTEXT_ON_RESET :: GLenum

gl_NO_ERROR :: GLenum

gl_NO_RESET_NOTIFICATION :: GLenum

gl_RESET_NOTIFICATION_STRATEGY :: GLenum

gl_UNKNOWN_CONTEXT_RESET :: GLenum

# Functions

glGetGraphicsResetStatus :: MonadIO m => m GLenum

Manual page for OpenGL 4.x.

glGetnUniformfv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetnUniformiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetnUniformuiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLuint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glReadnPixels

Arguments

:: MonadIO m |
=> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.